import java.net.URLStreamHandlerFactory;
import java.net.URLStreamHandler;
import java.net.URLConnection;
import java.net.URL;
import java.io.IOException;

/** 
 * @author Radim Kolar
 * @version 1.0 
 */
public class FSPStreamHandler extends URLStreamHandler implements URLStreamHandlerFactory 
{
    /* factory interface */
    /**  creates URLStreamHandler instance for FSP protocol.
     * <p>
     * @param protocol requested protocol. Only FSP is supported.
     * @return  FSPStreamHandler instance or null if protocol is not FSP.
     * @since 1.0
     */
    public  URLStreamHandler createURLStreamHandler(String protocol)
    {
	if(protocol==null) return  null;
	if(protocol.equalsIgnoreCase("fsp"))
	    return new FSPStreamHandler();
	return null;
    }

    /** opens a FSP connection.
     *
     * @since 1.0
     * @param u url to be opened
     * @return null
     */
     protected URLConnection openConnection(URL u) throws IOException
     {
	 return null;
     }
}
